import usb.core

PATLITE_VID = 0x191A
PATLITE_PID = 0x8003
PATLITE_ENDPOINT=1

class Patlite:
    def __init__(self):
        self.is_on = False
        self.dev = usb.core.find(idVendor=PATLITE_VID, idProduct=PATLITE_PID)
        if self.dev is None:
#    	    raise ValueError('Our device is not connected')
            print('Patlite is not connected')
            return

        interface = self.dev[0].interfaces()[0]
        if self.dev.is_kernel_driver_active(interface.bInterfaceNumber):
            self.dev.detach_kernel_driver(interface.bInterfaceNumber)
        self.off()

    def on(self):
        if self.dev is None or self.is_on:
            return
        self.dev.reset()
        self.dev.set_configuration()
        buf=[0x00, 0x00, 0x08, 0xff, 0x11, 0x11, 0x10, 0x00]
        self.dev.write(PATLITE_ENDPOINT, buf)
        self.is_on = True

    def off(self):
        if self.dev is None or not self.is_on:
            return
        self.dev.reset()
        self.dev.set_configuration()
        buf=[0x00, 0x00, 0x08, 0xff, 0x00, 0x00, 0x00, 0x00]
        self.dev.write(PATLITE_ENDPOINT, buf)
        self.is_on = False 

